<h3>LSParseEuroCurrency Example</h3>
<p>Loop through all available locales. Create string representations of the value
   123,456 in the three supported currency formats, 
   and parse the results back to numbers.<p>
<cfloop list="#Server.Coldfusion.SupportedLocales#" index="locale" delimiters=",">
   <cfset oldlocale = SetLocale(locale)>
   <cfoutput><p>Current Locale: <b><i>#locale#</i></b><br>
   <cfset localCurrency = LSEuroCurrencyFormat(123456, "local")>
      Value in local currency: #localCurrency#<br>
      Parsed using LSParseEuroCurrency: 
      #LSParseEuroCurrency(localCurrency)#<br>
   <cfset IntlCurrency = LSEuroCurrencyFormat(123456, "international")>
      Value with International currency formatting: #IntlCurrency#<br>
      Parsed using LSParseEuroCurrency: 
      #LSParseEuroCurrency(IntlCurrency)#<br>
   <cfset Currency = LSEuroCurrencyFormat(123456, "none")>
      Value with no currency formatting: #currency#<br>
      Parsed using LSParseEuroCurrency: 
      #LSParseEuroCurrency(Currency)#<br>
      <hr noshade>
   </cfoutput>
</cfloop>
