<table cellspacing="1" cellpadding="5" border="1" width="700" align="center">
<tbody>
    <tr>
        <td nowrap>Data Type</td>
        <td valign="top" width="*"><b>Sample code</b></td>
        <td valign="top" width="250"><b>Result</b></td>
    </tr>

<!--- :: string :: --->
<tr>
    <td bgcolor="eeEEee">String</td>
    <td><pre>
<script>
    < cfset jsString = "This is some string">
    #toScript(jsString, "thisVar")#
</script>
</pre>
    </td>
    <td>
    <cfoutput>
<script><br>
    <cfset jsString = "This is some string">
    #toScript(jsString, "thisVar")#<br>
</script>
    </cfoutput>
    </td>
</tr>

<!--- :: number :: --->
<tr>
    <td bgcolor="eeEEee">Number</td>
    <td>
<pre>
<script>
    <cfset jsNumber = "1234.0213">
    #toScript(jsNumber, "thisVar")#
</script>
</pre>
    </td>
    <td>
    <cfoutput>
<script><br>
    <cfset jsNumber = "1234.0213">
    #toScript(jsNumber, "thisVar", false, true)#<br>
</script>
    </cfoutput>
    </td>        
</tr>

<!--- :: Date :: --->
<tr>
    <td bgcolor="eeEEee">Date</td>
    <td>
<pre>
<script>
    <cfset jsDate = "01/23/2003">
    #toScript(jsDate, "thisVar")#
</script>
</pre>
    </td>
    <td>
    <cfoutput>
<script><br>
    <cfset jsDate = "01/23/2003">
    #toScript(jsDate, "thisVar")#<br>
</script>
    </cfoutput>
    </td>
    
</tr>

<!--- :: Date :: --->
<tr>
    <td bgcolor="eeEEee">Date</td>
    <td>
<pre>
<script>
    jsDate = "01/23/2003";
    #toScript(jsDate, "thisVar", false, true)#
</script>
</pre>
    </td>
    <td>
    <cfoutput>
<script><br>
    <cfset jsDate = "01/23/2003">
    #toScript(jsDate, "thisVar", false, true)#<br>
</script>
    </cfoutput>
    </td>        
</tr>

<!--- :: Date :: --->
<tr>
    <td bgcolor="eeEEee">Date</td>
    <td>
<pre>
<script>
    <cfset jsDate2 = now()>
    #toScript(jsDate2, "thisVar")#
</script>
</pre>
    </td>
    <td>
    <cfoutput>
<script><br>
    <cfset jsDate2 = now()>
    #toScript(jsDate2, "thisVar")#<br>
</script>
    </cfoutput>
    </td>
</tr>

<!--- :: Date :: --->
<tr>
    <td bgcolor="eeEEee">Date</td>
    <td>
<pre>
<script>
    <cfset jsDate3 = createODBCDateTime(now())>
    #toScript(jsDate3, "thisVar")#
</script>
</pre>
    </td>
    <td>
    <cfoutput>
<script><br>
    <cfset jsDate3 = createODBCDateTime(now())>
    #toScript(jsDate3, "thisVar")#<br>
</script>
    </cfoutput>
    </td>
</tr>
<!--- :: Date :: --->
<tr>
    <td bgcolor="eeEEee">Date</td>
    <td>
<pre>
<script>
    <cfset jsDate4 = createODBCDateTime(now())>
    #toScript(jsDate4, "thisVar", false, true)#
</script>
</pre>
    </td>
    <td>
    <cfoutput>
<script><br>
    <cfset jsDate4 = createODBCDateTime(now())>
    #toScript(jsDate4, "thisVar", false, true)#<br>
</script>
    </cfoutput>
    </td>
</tr>

<!--- :: Array :: --->
<tr>
    <td bgcolor="eeEEee">Array</td>
    <td>
<pre>
<script>
    <cfscript>
    jsArray = arrayNew(1);
        jsArray[1] = "item1";
        jsArray[2] = "item2";
        jsArray[3] = "item3";
        jsArray[4] = "item4";
        jsArray[5] = structNew();
            jsArray[5].firstname = "mike";
            jsArray[5].lastname = "nimer";
    </cfscript>    
    #toScript(jsArray, "thisVar")#
</script>
</pre>
    </td>
    <td>
    <cfoutput>
<script><br>
    <cfscript>
        jsArray = arrayNew(1);
            jsArray[1] = "item1";
            jsArray[2] = "item2";
            jsArray[3] = "item3";
            jsArray[4] = "item4";
            jsArray[5] = structNew();
                jsArray[5].firstname = "mike";
                jsArray[5].lastname = "nimer";
    </cfscript>
    <pre>
    #toScript(jsArray, "thisVar")#
    </pre>
</script>
    </cfoutput>
    </td>
</tr>

<!--- :: query :: --->
<tr>
    <td bgcolor="eeEEee">Query (WDDX)</td>
    <td>
<pre>
<script><br>
    <cfscript>
    jsQuery = queryNew("firstName,lastName,date");
        queryAddRow(jsQuery);
        querySetCell(jsQuery, "firstname", "Mike");
        querySetCell(jsQuery, "lastname", "nimer");
        querySetCell(jsQuery, "date", now());
        queryAddRow(jsQuery);
        querySetCell(jsQuery, "firstname", "john");
        querySetCell(jsQuery, "lastname", "doe");
        querySetCell(jsQuery, "date", now());
        queryAddRow(jsQuery);
        querySetCell(jsQuery, "firstname", "jane");
        querySetCell(jsQuery, "lastname", "doe");
        querySetCell(jsQuery, "date", now());
    </cfscript>
    #toScript(jsQuery, "thisVar")#
</script>
</pre>
    </td>
    <td>
    <cfoutput>
<script><br>
    <cfscript>
    jsQuery = queryNew("firstName,lastName,date");
        queryAddRow(jsQuery);
        querySetCell(jsQuery, "firstname", "Mike");
        querySetCell(jsQuery, "lastname", "nimer");
        querySetCell(jsQuery, "date", now());
        queryAddRow(jsQuery);
        querySetCell(jsQuery, "firstname", "john");
        querySetCell(jsQuery, "lastname", "doe");
        querySetCell(jsQuery, "date", now());
        queryAddRow(jsQuery);
        querySetCell(jsQuery, "firstname", "jane");
        querySetCell(jsQuery, "lastname", "doe");
        querySetCell(jsQuery, "date", now());
    </cfscript>
    <pre>#toScript(jsQuery, "thisVar")#</pre>
</script>
    </cfoutput>
    </td>
</tr>

<!--- :: query :: --->
<tr>
    <td bgcolor="eeEEee">Query</td>
    <td>
<pre>
<script>
    <cfscript>
    jsQuery = queryNew("firstName,lastName,date");
        queryAddRow(jsQuery);
        querySetCell(jsQuery, "firstname", "Mike");
        querySetCell(jsQuery, "lastname", "nimer");
        querySetCell(jsQuery, "date", now());
        queryAddRow(jsQuery);
        querySetCell(jsQuery, "firstname", "john");
        querySetCell(jsQuery, "lastname", "doe");
        querySetCell(jsQuery, "date", now());
        queryAddRow(jsQuery);
        querySetCell(jsQuery, "firstname", "jane");
        querySetCell(jsQuery, "lastname", "doe");
        querySetCell(jsQuery, "date", now());
    </cfscript>
    #toScript(jsQuery, "thisVar", false)#
</script>
</pre>
    </td>
    <td>
    <cfoutput>
<pre>
<script><br>
    <cfscript>
    jsQuery = queryNew("firstName,lastName,date");
        queryAddRow(jsQuery);
        querySetCell(jsQuery, "firstname", "Mike");
        querySetCell(jsQuery, "lastname", "nimer");
        querySetCell(jsQuery, "date", now());
        queryAddRow(jsQuery);
        querySetCell(jsQuery, "firstname", "john");
        querySetCell(jsQuery, "lastname", "doe");
        querySetCell(jsQuery, "date", now());
        queryAddRow(jsQuery);
        querySetCell(jsQuery, "firstname", "jane");
        querySetCell(jsQuery, "lastname", "doe");
        querySetCell(jsQuery, "date", now());
    </cfscript>
    <pre>#toScript(jsQuery, "thisVar", false)#</pre>
</script>
</pre>
    </cfoutput>
    </td>
</tr>

<!--- :: query :: --->
<tr>
    <td bgcolor="eeEEee">Query</td>
    <td>
<pre>
<script>
    <cfscript>
    jsQuery = queryNew("firstName,lastName,date");
        queryAddRow(jsQuery);
        querySetCell(jsQuery, "firstname", "Mike");
        querySetCell(jsQuery, "lastname", "nimer");
        querySetCell(jsQuery, "date", now());
        queryAddRow(jsQuery);
        querySetCell(jsQuery, "firstname", "john");
        querySetCell(jsQuery, "lastname", "doe");
        querySetCell(jsQuery, "date", now());
        queryAddRow(jsQuery);
        querySetCell(jsQuery, "firstname", "jane");
        querySetCell(jsQuery, "lastname", "doe");
        querySetCell(jsQuery, "date", now());
    </cfscript>
    #toScript(jsQuery, "thisVar", false, true)#
</script>
</pre>
    </td>
    <td>
    <cfoutput>
<pre>
<script><br>
    <cfscript>
    jsQuery = queryNew("firstName,lastName,date");
        queryAddRow(jsQuery);
        querySetCell(jsQuery, "firstname", "Mike");
        querySetCell(jsQuery, "lastname", "nimer");
        querySetCell(jsQuery, "date", now());
        queryAddRow(jsQuery);
        querySetCell(jsQuery, "firstname", "john");
        querySetCell(jsQuery, "lastname", "doe");
        querySetCell(jsQuery, "date", now());
        queryAddRow(jsQuery);
        querySetCell(jsQuery, "firstname", "jane");
        querySetCell(jsQuery, "lastname", "doe");
        querySetCell(jsQuery, "date", now());
    </cfscript>
    <pre>#toScript(jsQuery, "thisVar", false, true)#</pre>
</script>
</pre>
    </cfoutput>
    </td>
</tr>

<!--- :: struct :: --->
<tr>
    <td bgcolor="eeEEee">Struct</td>
    <td>
<pre>
<script>
    <cfscript>
    jsStruct = structNew();        
        jsStruct.firstname = "mike";
        jsStruct.lastname = "nimer";
        jsStruct.email = "mnimer@macromedia.com";
        jsStruct.nestedArray = jsArray;
    </cfscript>    
    #toScript(jsStruct, "thisVar")#
</script>
</pre>
    </td>
    <td>
    <cfoutput>
<script><br>
    <cfscript>
        jsStruct = structNew();        
            jsStruct.firstname = "mike";
            jsStruct.lastname = "nimer";
            jsStruct.email = "mnimer@macromedia.com";
            jsStruct.nestedArray = jsArray;
    </cfscript>
    <pre>#toScript(jsStruct, "thisVar")#</pre>
</script>
    </cfoutput>
    </td>
</tr>

</table>
 
