<table cellspacing="1" cellpadding="5" border="1" width="95%" align="center">
<tbody>
    <tr>
        <td valign="top" width="70%"><b>Sample code</b></td>
        <td valign="top" width="30%"><b>Result</b></td>
    </tr>
    <tr>
        <td valign="top">
<pre>
<cfset myQ = queryNew("firstName,LastName")>
<cfset queryAddColumn(myQ, "email", arrayNew(1))>
<cfdump var="#myQ#">
</pre>        
        </td>
        <td valign="top">
            <cfset myQ = queryNew("firstName,LastName")>
            <cfset queryAddColumn(myQ, "email", arrayNew(1))>
            <cfdump var="#myQ#">
        </td>
    </tr>
    <tr>
        <td valign="top">
<pre>
<cfscript>
    colArray = arrayNew(1);
    colArray[1] = "me@you.com";
    colArray[2] = "me@there.com";

    myQ = queryNew("firstName,LastName");
    queryAddColumn(myQ, "email", colArray);
</cfscript>
<cfdump var="#myQ#">
</pre>        
        </td>
        <td valign="top">
            <cfscript>
                colArray = arrayNew(1);
                colArray[1] = "me@you.com";
                colArray[2] = "me@there.com";
    
                myQ = queryNew("firstName,LastName");
                queryAddColumn(myQ, "email", colArray);
            </cfscript>
            <cfdump var="#myQ#">
        </td>
    </tr>
    <tr>
        <td valign="top">
<pre>
<cfscript>
    myQ = queryNew("firstName,LastName,email_badColumnName");
    queryAddRow(myQ);
    querySetCell(myQ, "firstName", "mike");
    querySetCell(myQ, "lastName", "smith");
    querySetCell(myQ, "email_badColumnName", "mike@you.com");
    queryAddRow(myQ);
    querySetCell(myQ, "firstName", "john");
    querySetCell(myQ, "lastName", "green");
    querySetCell(myQ, "email_badColumnName", "john@you.com");
    
    queryAddColumn(myQ, "email", listToArray(valueList(myQ.email_badColumnName)) );
</cfscript>
<cfdump var="#myQ#">
</pre>        
        </td>
        <td valign="top">
            <cfscript>
                myQ = queryNew("firstName,LastName,email_badColumnName");
                queryAddRow(myQ);
                querySetCell(myQ, "firstName", "mike");
                querySetCell(myQ, "lastName", "smith");
                querySetCell(myQ, "email_badColumnName", "mike@you.com");
                queryAddRow(myQ);
                querySetCell(myQ, "firstName", "john");
                querySetCell(myQ, "lastName", "green");
                querySetCell(myQ, "email_badColumnName", "john@you.com");
                
                queryAddColumn(myQ, "email", listToArray(valueList(myQ.email_badColumnName)) );
            </cfscript>
            <cfdump var="#myQ#">
        </td>
    </tr>
    <tr>
        <td valign="top">
<pre>
<cfquery name="getQ" datasource="#request.dsn#">
    select firstname, lastname, email
    from GSTARTED.ARTISTS
</cfquery>
<cfset queryAddColumn(getQ, "newEmail", listToArray(valueList(getQ.email)) )>
<cfdump var="#getQ#" top="3">
</pre>                    
        </td>
        <td valign="top">
            <cfquery name="getQ" datasource="#request.dsn#">
                select firstname, lastname, email
                from GSTARTED.ARTISTS
            </cfquery>
            <cfset queryAddColumn(getQ, "newEmail", listToArray(valueList(getQ.email)) )>
            <cfdump var="#getQ#" top="3">
        </td>
    </tr>
</tbody>
</table>
 
